For the complete documentation index, see llms.txt. This page is also available as Markdown.

Store

Store

Get all numberseries

get
/tenants/{tenantUid}/number-series

List all numberseries for a tenant.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
numberSeriesTypestringOptional

The number series type

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/number-series
GET /v2/tenants/{tenantUid}/number-series HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "currentValue": 1,
      "end": 1,
      "name": "text",
      "numberSeriesUid": "text",
      "start": 1,
      "type": "PURCHASE"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add new numberseries

post
/tenants/{tenantUid}/number-series

Add a new numberseries to a tenant.

Required permissions: NUMBER_SERIE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
endintegerRequired
namestringRequired
startintegerRequired
typestring · enumRequiredPossible values:
numberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Number series response

application/json
currentValueintegerRequired
endintegerRequired
namestringRequired
numberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
startintegerRequired
typestring · enumRequiredPossible values:
post/tenants/{tenantUid}/number-series
POST /v2/tenants/{tenantUid}/number-series HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "end": 1,
  "name": "text",
  "start": 1,
  "type": "PURCHASE",
  "numberSeriesUid": "text"
}
200

Number series response

{
  "currentValue": 1,
  "end": 1,
  "name": "text",
  "numberSeriesUid": "text",
  "start": 1,
  "type": "PURCHASE"
}

Get a number serie

get
/tenants/{tenantUid}/number-series/{numberSeriesUid}

Get a specific numberseries for a tenant.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
numberSeriesUidstringRequired

Reference to a number serie id.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Number series response

application/json
currentValueintegerRequired
endintegerRequired
namestringRequired
numberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
startintegerRequired
typestring · enumRequiredPossible values:
get/tenants/{tenantUid}/number-series/{numberSeriesUid}
GET /v2/tenants/{tenantUid}/number-series/{numberSeriesUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Number series response

{
  "currentValue": 1,
  "end": 1,
  "name": "text",
  "numberSeriesUid": "text",
  "start": 1,
  "type": "PURCHASE"
}

Update a number series record

put
/tenants/{tenantUid}/number-series/{numberSeriesUid}

Update numberseries record.

Required permissions: NUMBER_SERIE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
numberSeriesUidstringRequired

Reference to a number serie id.

Pattern: ^[A-Za-z0-9-_]+
Body
endintegerOptional
namestringRequired
startintegerOptional
Responses
200

Number series response

application/json
currentValueintegerRequired
endintegerRequired
namestringRequired
numberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
startintegerRequired
typestring · enumRequiredPossible values:
put/tenants/{tenantUid}/number-series/{numberSeriesUid}
PUT /v2/tenants/{tenantUid}/number-series/{numberSeriesUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 33

{
  "end": 1,
  "name": "text",
  "start": 1
}
200

Number series response

{
  "currentValue": 1,
  "end": 1,
  "name": "text",
  "numberSeriesUid": "text",
  "start": 1,
  "type": "PURCHASE"
}

List stores

get
/tenants/{tenantUid}/stores

List all stores.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
storeExternalIdstringOptional

External reference to a store.

storeNamestringOptional

Reference to the name of a store.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
storeOrganizationUidstringOptional

Reference to an organization uid.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores
GET /v2/tenants/{tenantUid}/stores HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "address": "text",
      "city": "text",
      "countryCode": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "defaultWarehouseUid": "text",
      "defaultReturnWarehouseUid": "text",
      "defaultDeliveryWarehouseUid": "text",
      "email": "text",
      "externalId": "text",
      "isActive": true,
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "latitude": 1,
      "longitude": 1,
      "name": "text",
      "postalCode": "text",
      "phone": "text",
      "purchaseNumberSeriesUid": "text",
      "internalPurchaseNumberSeriesUid": "text",
      "rmaOrderNumberSeriesUid": "text",
      "customerLedgerNumberSeriesUid": "text",
      "quicksaleCategoryUid": "text",
      "receiptMessage": "text",
      "emailReceiptMessage": "text",
      "exchangenoteMessage": "text",
      "exchangenoteValidDays": 1,
      "salesPriceUid": "text",
      "purchasePriceListUid": "text",
      "appSettings": {
        "hidePurchase": true,
        "hideReceivement": true,
        "enableUnlinkedPayments": true
      },
      "storeUid": "text",
      "vatNumber": "text",
      "voucherNumberSeriesUid": "text",
      "serviceNumberSeriesUid": "text",
      "hasWorkShop": true,
      "organizationUid": "text",
      "availableExtensions": [
        {
          "extensionCode": "FLOWGIFTCARD",
          "name": "text"
        }
      ],
      "openingHours": {
        "monday": "text",
        "tuesday": "text",
        "wednesday": "text",
        "thursday": "text",
        "friday": "text",
        "saturday": "text",
        "sunday": "text",
        "note": "text"
      },
      "bankInfo": {
        "accountNumber": "text",
        "bankName": "text",
        "iban": "text",
        "swift": "text"
      },
      "websiteUrl": "text",
      "invoiceFooterText": "text",
      "labelComparisonPricelistUid": "text",
      "addresses": [
        {
          "storeAddressUid": "text",
          "companyName": "text",
          "vatNumber": "text",
          "address": "text",
          "postalCode": "text",
          "city": "text",
          "countryCode": "text",
          "email": "text",
          "phone": "text",
          "type": "PURCHASE_INVOICE_ADDRESS",
          "default": true,
          "createdBy": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "enableStoreCashReconciliation": true,
      "cashReconciliationCutOffTime": "00:00:00",
      "logoAssetUid": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new store

post
/tenants/{tenantUid}/stores

Creates a new store.

Required permissions: STORE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
addressstringOptional
citystringOptional
countryCodestringOptional
defaultReturnWarehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]*
defaultWarehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]*
defaultDeliveryWarehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]*
emailstringOptional
externalIdstringOptional
isActivebooleanOptional
latitudenumberOptional
longitudenumberOptional
namestringRequired
phonestringOptional
postalCodestringOptional
purchaseNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]+
rmaOrderNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]+
customerLedgerNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]+
quicksaleCategoryUidstringOptionalPattern: ^[A-Za-z0-9-_]*
receiptMessagestringOptional
emailReceiptMessagestringOptional
exchangenoteMessagestringOptional
exchangenoteValidDaysintegerOptional

Number of days an exchangenote is valid.

salesPriceUidstringOptionalPattern: ^[A-Za-z0-9-_]*
purchasePriceListUidstringOptionalPattern: ^[A-Za-z0-9-_]*
vatNumberstringOptional

VAT identification number for value added tax reporting purposes.

voucherNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
hasWorkshopbooleanOptional
organizationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serviceNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]*
websiteUrlstringOptional
invoiceFooterTextstringOptional
labelComparisonPricelistUidstringOptionalPattern: ^[A-Za-z0-9-_]*
enableStoreCashReconciliationbooleanOptional
cashReconciliationCutOffTimestring · timeOptional

Daily cut-off time (e.g. 4 AM). After this time, tills cannot open until the previous settlement is complete.

logoAssetUidstringOptionalPattern: ^[A-Za-z0-9-_]*
storeUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
addressstringRequired
citystringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
defaultWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
defaultReturnWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
defaultDeliveryWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
emailstringRequired
externalIdstringRequired
isActivebooleanRequired
lastModifiedAtstring · date-timeRequired
latitudenumberRequired
longitudenumberRequired
namestringRequired
postalCodestringRequired
phonestringRequired
purchaseNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
rmaOrderNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
customerLedgerNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quicksaleCategoryUidstringRequiredPattern: ^[A-Za-z0-9-_]*
receiptMessagestringRequired
emailReceiptMessagestringRequired
exchangenoteMessagestringRequired
exchangenoteValidDaysintegerRequired

Number of days an exchangenote is valid.

salesPriceUidstringRequiredPattern: ^[A-Za-z0-9-_]*
purchasePriceListUidstringRequiredPattern: ^[A-Za-z0-9-_]*
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

voucherNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serviceNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
hasWorkShopbooleanRequired
organizationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
websiteUrlstringRequired
invoiceFooterTextstringRequired
labelComparisonPricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]*
enableStoreCashReconciliationbooleanRequired
cashReconciliationCutOffTimestring · timeRequired

Daily cut-off time (e.g. 4 AM). After this time, tills cannot open until the previous settlement is complete.

logoAssetUidstringRequiredPattern: ^[A-Za-z0-9-_]*
post/tenants/{tenantUid}/stores
POST /v2/tenants/{tenantUid}/stores HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1271

{
  "address": "text",
  "city": "text",
  "countryCode": "text",
  "defaultReturnWarehouseUid": "text",
  "defaultWarehouseUid": "text",
  "defaultDeliveryWarehouseUid": "text",
  "email": "text",
  "externalId": "text",
  "isActive": true,
  "latitude": 1,
  "longitude": 1,
  "name": "text",
  "phone": "text",
  "postalCode": "text",
  "purchaseNumberSeriesUid": "text",
  "internalPurchaseNumberSeriesUid": "text",
  "rmaOrderNumberSeriesUid": "text",
  "customerLedgerNumberSeriesUid": "text",
  "quicksaleCategoryUid": "text",
  "receiptMessage": "text",
  "emailReceiptMessage": "text",
  "exchangenoteMessage": "text",
  "exchangenoteValidDays": 1,
  "salesPriceUid": "text",
  "purchasePriceListUid": "text",
  "appSettings": {
    "hidePurchase": true,
    "hideReceivement": true,
    "enableUnlinkedPayments": true
  },
  "vatNumber": "text",
  "voucherNumberSeriesUid": "text",
  "hasWorkshop": true,
  "organizationUid": "text",
  "serviceNumberSeriesUid": "text",
  "openingHours": {
    "monday": "text",
    "tuesday": "text",
    "wednesday": "text",
    "thursday": "text",
    "friday": "text",
    "saturday": "text",
    "sunday": "text",
    "note": "text"
  },
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text"
  },
  "websiteUrl": "text",
  "invoiceFooterText": "text",
  "labelComparisonPricelistUid": "text",
  "enableStoreCashReconciliation": true,
  "cashReconciliationCutOffTime": "00:00:00",
  "logoAssetUid": "text",
  "storeUid": "text"
}
200

Example response

{
  "address": "text",
  "city": "text",
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "defaultWarehouseUid": "text",
  "defaultReturnWarehouseUid": "text",
  "defaultDeliveryWarehouseUid": "text",
  "email": "text",
  "externalId": "text",
  "isActive": true,
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "latitude": 1,
  "longitude": 1,
  "name": "text",
  "postalCode": "text",
  "phone": "text",
  "purchaseNumberSeriesUid": "text",
  "internalPurchaseNumberSeriesUid": "text",
  "rmaOrderNumberSeriesUid": "text",
  "customerLedgerNumberSeriesUid": "text",
  "quicksaleCategoryUid": "text",
  "receiptMessage": "text",
  "emailReceiptMessage": "text",
  "exchangenoteMessage": "text",
  "exchangenoteValidDays": 1,
  "salesPriceUid": "text",
  "purchasePriceListUid": "text",
  "appSettings": {
    "hidePurchase": true,
    "hideReceivement": true,
    "enableUnlinkedPayments": true
  },
  "storeUid": "text",
  "vatNumber": "text",
  "voucherNumberSeriesUid": "text",
  "serviceNumberSeriesUid": "text",
  "hasWorkShop": true,
  "organizationUid": "text",
  "availableExtensions": [
    {
      "extensionCode": "FLOWGIFTCARD",
      "name": "text"
    }
  ],
  "openingHours": {
    "monday": "text",
    "tuesday": "text",
    "wednesday": "text",
    "thursday": "text",
    "friday": "text",
    "saturday": "text",
    "sunday": "text",
    "note": "text"
  },
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text"
  },
  "websiteUrl": "text",
  "invoiceFooterText": "text",
  "labelComparisonPricelistUid": "text",
  "addresses": [
    {
      "storeAddressUid": "text",
      "companyName": "text",
      "vatNumber": "text",
      "address": "text",
      "postalCode": "text",
      "city": "text",
      "countryCode": "text",
      "email": "text",
      "phone": "text",
      "type": "PURCHASE_INVOICE_ADDRESS",
      "default": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "enableStoreCashReconciliation": true,
  "cashReconciliationCutOffTime": "00:00:00",
  "logoAssetUid": "text"
}

Get store details

get
/tenants/{tenantUid}/stores/{storeUid}

Get details for a store.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
addressstringRequired
citystringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
defaultWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
defaultReturnWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
defaultDeliveryWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
emailstringRequired
externalIdstringRequired
isActivebooleanRequired
lastModifiedAtstring · date-timeRequired
latitudenumberRequired
longitudenumberRequired
namestringRequired
postalCodestringRequired
phonestringRequired
purchaseNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
rmaOrderNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
customerLedgerNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quicksaleCategoryUidstringRequiredPattern: ^[A-Za-z0-9-_]*
receiptMessagestringRequired
emailReceiptMessagestringRequired
exchangenoteMessagestringRequired
exchangenoteValidDaysintegerRequired

Number of days an exchangenote is valid.

salesPriceUidstringRequiredPattern: ^[A-Za-z0-9-_]*
purchasePriceListUidstringRequiredPattern: ^[A-Za-z0-9-_]*
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

voucherNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serviceNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
hasWorkShopbooleanRequired
organizationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
websiteUrlstringRequired
invoiceFooterTextstringRequired
labelComparisonPricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]*
enableStoreCashReconciliationbooleanRequired
cashReconciliationCutOffTimestring · timeRequired

Daily cut-off time (e.g. 4 AM). After this time, tills cannot open until the previous settlement is complete.

logoAssetUidstringRequiredPattern: ^[A-Za-z0-9-_]*
get/tenants/{tenantUid}/stores/{storeUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "address": "text",
  "city": "text",
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "defaultWarehouseUid": "text",
  "defaultReturnWarehouseUid": "text",
  "defaultDeliveryWarehouseUid": "text",
  "email": "text",
  "externalId": "text",
  "isActive": true,
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "latitude": 1,
  "longitude": 1,
  "name": "text",
  "postalCode": "text",
  "phone": "text",
  "purchaseNumberSeriesUid": "text",
  "internalPurchaseNumberSeriesUid": "text",
  "rmaOrderNumberSeriesUid": "text",
  "customerLedgerNumberSeriesUid": "text",
  "quicksaleCategoryUid": "text",
  "receiptMessage": "text",
  "emailReceiptMessage": "text",
  "exchangenoteMessage": "text",
  "exchangenoteValidDays": 1,
  "salesPriceUid": "text",
  "purchasePriceListUid": "text",
  "appSettings": {
    "hidePurchase": true,
    "hideReceivement": true,
    "enableUnlinkedPayments": true
  },
  "storeUid": "text",
  "vatNumber": "text",
  "voucherNumberSeriesUid": "text",
  "serviceNumberSeriesUid": "text",
  "hasWorkShop": true,
  "organizationUid": "text",
  "availableExtensions": [
    {
      "extensionCode": "FLOWGIFTCARD",
      "name": "text"
    }
  ],
  "openingHours": {
    "monday": "text",
    "tuesday": "text",
    "wednesday": "text",
    "thursday": "text",
    "friday": "text",
    "saturday": "text",
    "sunday": "text",
    "note": "text"
  },
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text"
  },
  "websiteUrl": "text",
  "invoiceFooterText": "text",
  "labelComparisonPricelistUid": "text",
  "addresses": [
    {
      "storeAddressUid": "text",
      "companyName": "text",
      "vatNumber": "text",
      "address": "text",
      "postalCode": "text",
      "city": "text",
      "countryCode": "text",
      "email": "text",
      "phone": "text",
      "type": "PURCHASE_INVOICE_ADDRESS",
      "default": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "enableStoreCashReconciliation": true,
  "cashReconciliationCutOffTime": "00:00:00",
  "logoAssetUid": "text"
}

Update store details

put
/tenants/{tenantUid}/stores/{storeUid}

Update details for a store. Partial updates are allowed.

Required permissions: STORE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
addressstringOptional
citystringOptional
countryCodestringOptional
defaultReturnWarehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]*
defaultWarehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]*
defaultDeliveryWarehouseUidstringOptionalPattern: ^[A-Za-z0-9-_]*
emailstringOptional
externalIdstringOptional
isActivebooleanOptional
latitudenumberOptional
longitudenumberOptional
namestringOptional
phonestringOptional
postalCodestringOptional
purchaseNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]*
internalPurchaseNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]*
rmaOrderNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]*
customerLedgerNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]*
quicksaleCategoryUidstringOptionalPattern: ^[A-Za-z0-9-_]*
receiptMessagestringOptional
emailReceiptMessagestringOptional
exchangenoteMessagestringOptional
exchangenoteValidDaysintegerOptional

Number of days an exchangenote is valid.

salesPriceUidstringOptionalPattern: ^[A-Za-z0-9-_]*
purchasePriceListUidstringOptionalPattern: ^[A-Za-z0-9-_]*
vatNumberstringOptional

VAT identification number for value added tax reporting purposes.

voucherNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]*
hasWorkshopbooleanOptional
organizationUidstringOptionalPattern: ^[A-Za-z0-9-_]*
serviceNumberSeriesUidstringOptionalPattern: ^[A-Za-z0-9-_]*
websiteUrlstringOptional
invoiceFooterTextstringOptional
labelComparisonPricelistUidstringOptionalPattern: ^[A-Za-z0-9-_]*
enableStoreCashReconciliationbooleanOptional
cashReconciliationCutOffTimestring · timeOptional

Daily cut-off time (e.g. 4 AM). After this time, tills cannot open until the previous settlement is complete.

logoAssetUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
addressstringRequired
citystringRequired
countryCodestringRequired
createdAtstring · date-timeRequired
defaultWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
defaultReturnWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
defaultDeliveryWarehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]*
emailstringRequired
externalIdstringRequired
isActivebooleanRequired
lastModifiedAtstring · date-timeRequired
latitudenumberRequired
longitudenumberRequired
namestringRequired
postalCodestringRequired
phonestringRequired
purchaseNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
internalPurchaseNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
rmaOrderNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
customerLedgerNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]*
quicksaleCategoryUidstringRequiredPattern: ^[A-Za-z0-9-_]*
receiptMessagestringRequired
emailReceiptMessagestringRequired
exchangenoteMessagestringRequired
exchangenoteValidDaysintegerRequired

Number of days an exchangenote is valid.

salesPriceUidstringRequiredPattern: ^[A-Za-z0-9-_]*
purchasePriceListUidstringRequiredPattern: ^[A-Za-z0-9-_]*
storeUidstringRequiredPattern: ^[A-Za-z0-9-_]+
vatNumberstringRequired

VAT identification number for value added tax reporting purposes.

voucherNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serviceNumberSeriesUidstringRequiredPattern: ^[A-Za-z0-9-_]+
hasWorkShopbooleanRequired
organizationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
websiteUrlstringRequired
invoiceFooterTextstringRequired
labelComparisonPricelistUidstringRequiredPattern: ^[A-Za-z0-9-_]*
enableStoreCashReconciliationbooleanRequired
cashReconciliationCutOffTimestring · timeRequired

Daily cut-off time (e.g. 4 AM). After this time, tills cannot open until the previous settlement is complete.

logoAssetUidstringRequiredPattern: ^[A-Za-z0-9-_]*
put/tenants/{tenantUid}/stores/{storeUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1253

{
  "address": "text",
  "city": "text",
  "countryCode": "text",
  "defaultReturnWarehouseUid": "text",
  "defaultWarehouseUid": "text",
  "defaultDeliveryWarehouseUid": "text",
  "email": "text",
  "externalId": "text",
  "isActive": true,
  "latitude": 1,
  "longitude": 1,
  "name": "text",
  "phone": "text",
  "postalCode": "text",
  "purchaseNumberSeriesUid": "text",
  "internalPurchaseNumberSeriesUid": "text",
  "rmaOrderNumberSeriesUid": "text",
  "customerLedgerNumberSeriesUid": "text",
  "quicksaleCategoryUid": "text",
  "receiptMessage": "text",
  "emailReceiptMessage": "text",
  "exchangenoteMessage": "text",
  "exchangenoteValidDays": 1,
  "salesPriceUid": "text",
  "purchasePriceListUid": "text",
  "appSettings": {
    "hidePurchase": true,
    "hideReceivement": true,
    "enableUnlinkedPayments": true
  },
  "vatNumber": "text",
  "voucherNumberSeriesUid": "text",
  "hasWorkshop": true,
  "organizationUid": "text",
  "serviceNumberSeriesUid": "text",
  "openingHours": {
    "monday": "text",
    "tuesday": "text",
    "wednesday": "text",
    "thursday": "text",
    "friday": "text",
    "saturday": "text",
    "sunday": "text",
    "note": "text"
  },
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text"
  },
  "websiteUrl": "text",
  "invoiceFooterText": "text",
  "labelComparisonPricelistUid": "text",
  "enableStoreCashReconciliation": true,
  "cashReconciliationCutOffTime": "00:00:00",
  "logoAssetUid": "text"
}
201

Example response

{
  "address": "text",
  "city": "text",
  "countryCode": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "defaultWarehouseUid": "text",
  "defaultReturnWarehouseUid": "text",
  "defaultDeliveryWarehouseUid": "text",
  "email": "text",
  "externalId": "text",
  "isActive": true,
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "latitude": 1,
  "longitude": 1,
  "name": "text",
  "postalCode": "text",
  "phone": "text",
  "purchaseNumberSeriesUid": "text",
  "internalPurchaseNumberSeriesUid": "text",
  "rmaOrderNumberSeriesUid": "text",
  "customerLedgerNumberSeriesUid": "text",
  "quicksaleCategoryUid": "text",
  "receiptMessage": "text",
  "emailReceiptMessage": "text",
  "exchangenoteMessage": "text",
  "exchangenoteValidDays": 1,
  "salesPriceUid": "text",
  "purchasePriceListUid": "text",
  "appSettings": {
    "hidePurchase": true,
    "hideReceivement": true,
    "enableUnlinkedPayments": true
  },
  "storeUid": "text",
  "vatNumber": "text",
  "voucherNumberSeriesUid": "text",
  "serviceNumberSeriesUid": "text",
  "hasWorkShop": true,
  "organizationUid": "text",
  "availableExtensions": [
    {
      "extensionCode": "FLOWGIFTCARD",
      "name": "text"
    }
  ],
  "openingHours": {
    "monday": "text",
    "tuesday": "text",
    "wednesday": "text",
    "thursday": "text",
    "friday": "text",
    "saturday": "text",
    "sunday": "text",
    "note": "text"
  },
  "bankInfo": {
    "accountNumber": "text",
    "bankName": "text",
    "iban": "text",
    "swift": "text"
  },
  "websiteUrl": "text",
  "invoiceFooterText": "text",
  "labelComparisonPricelistUid": "text",
  "addresses": [
    {
      "storeAddressUid": "text",
      "companyName": "text",
      "vatNumber": "text",
      "address": "text",
      "postalCode": "text",
      "city": "text",
      "countryCode": "text",
      "email": "text",
      "phone": "text",
      "type": "PURCHASE_INVOICE_ADDRESS",
      "default": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "enableStoreCashReconciliation": true,
  "cashReconciliationCutOffTime": "00:00:00",
  "logoAssetUid": "text"
}

Delete a store

delete
/tenants/{tenantUid}/stores/{storeUid}

Deletes a store.

Required permissions: STORE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Get Till by token information

get
/tenants/{tenantUid}/stores/{storeUid}/till

Get till information by token information

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
barcodePrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

cashDrawerstringRequired
createdAtstring · date-timeRequired
deviceIdentifierstring · nullableOptionalDeprecated
lastModifiedAtstring · date-timeRequired
lastOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
lastOrderNumberstringRequired
namestringRequired
paymentTerminalstring · enumRequiredPossible values:
receiptPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

regularPrinterstringOptionalDeprecated

NOTE: This field is deprecated. Printers should be defined on the device

tillUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tillNumberintegerRequired
get/tenants/{tenantUid}/stores/{storeUid}/till
GET /v2/tenants/{tenantUid}/stores/{storeUid}/till HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "cashDrawer": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastOrderUid": "text",
  "lastOrderNumber": "text",
  "name": "text",
  "paymentTerminal": "NONE",
  "settings": [
    {
      "key": "STRIPE_TERMINAL_ID",
      "value": "text"
    }
  ],
  "tillUid": "text",
  "tillNumber": 1,
  "device": {
    "deviceUid": "text",
    "identifier": "text",
    "name": "text"
  }
}

Get till status details by token information

get
/tenants/{tenantUid}/stores/{storeUid}/till/status

Get till status by using token information

Required permissions: SALES_ORDER,RETURN_ORDER,REPORTING

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json

Cash report for a till

bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired

The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)

cashRevenueAmountintegerRequired

After the till is closed the cash revenue will be calculated in this field

cashreportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
get/tenants/{tenantUid}/stores/{storeUid}/till/status
GET /v2/tenants/{tenantUid}/stores/{storeUid}/till/status HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "bankdepositAmount": 1,
  "bankdepositReference": "text",
  "cashDifferenceAmount": 1,
  "cashRevenueAmount": 1,
  "cashreportUid": "text",
  "changeAmount": 1,
  "closedAt": "2026-01-01T00:00:00.000Z",
  "closedByDisplayName": "text",
  "comment": "text",
  "countedAmount": 1,
  "openAt": "2026-01-01T00:00:00.000Z",
  "openByDisplayName": "text",
  "status": "OPEN",
  "withdrawalAmount": 1,
  "cashDetailsAtOpen": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDetailsAtClose": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}

Set a new till status by token information

post
/tenants/{tenantUid}/stores/{storeUid}/till/status

Set a new till status by token information

Required permissions: SALES_ORDER,RETURN_ORDER

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
bankdepositAmountintegerOptional

The amount that should be withdrawed from the till and deposited to night safe when the till is closed.

bankdepositReferencestringOptional

An optional reference to the bank deposit

cashAmountintegerOptional

When the till is opened this is the change amount. When the till is closed this is the counted amount

statusstring · enumRequiredPossible values:
Responses
200

Example response

application/json

Cash report for a till

bankdepositAmountinteger · nullableRequired
bankdepositReferencestringRequired
cashDifferenceAmountintegerRequired

The cash difference amount.
Calculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)

cashRevenueAmountintegerRequired

After the till is closed the cash revenue will be calculated in this field

cashreportUidstringRequiredPattern: ^[A-Za-z0-9-_]+
changeAmountintegerRequired
closedAtstring · date-time · nullableRequired
closedByDisplayNamestringRequired
commentstringRequired
countedAmountinteger · nullableRequired
openAtstring · date-timeRequired
openByDisplayNamestringRequired
statusstring · enumRequiredPossible values:
withdrawalAmountinteger · nullableRequired
post/tenants/{tenantUid}/stores/{storeUid}/till/status
POST /v2/tenants/{tenantUid}/stores/{storeUid}/till/status HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 190

{
  "bankdepositAmount": 1,
  "bankdepositReference": "text",
  "cashAmount": 1,
  "status": "OPEN",
  "cashDetails": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}
200

Example response

{
  "bankdepositAmount": 1,
  "bankdepositReference": "text",
  "cashDifferenceAmount": 1,
  "cashRevenueAmount": 1,
  "cashreportUid": "text",
  "changeAmount": 1,
  "closedAt": "2026-01-01T00:00:00.000Z",
  "closedByDisplayName": "text",
  "comment": "text",
  "countedAmount": 1,
  "openAt": "2026-01-01T00:00:00.000Z",
  "openByDisplayName": "text",
  "status": "OPEN",
  "withdrawalAmount": 1,
  "cashDetailsAtOpen": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDetailsAtClose": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}

List all cash control reports for a store

get
/tenants/{tenantUid}/stores/{storeUid}/cashreports

List all cashreports for a store

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
sortBystringOptional

Defines which field the resource list is sorted by.

cashreportFromDatestring · dateOptional

Reference to a from-date.

cashreportToDatestring · dateOptional

Reference to a to-date.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/cashreports
GET /v2/tenants/{tenantUid}/stores/{storeUid}/cashreports HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "bankdepositAmount": 1,
      "bankdepositReference": "text",
      "cashDifferenceAmount": 1,
      "cashRevenueAmount": 1,
      "cashreportUid": "text",
      "changeAmount": 1,
      "closedAt": "2026-01-01T00:00:00.000Z",
      "closedByDisplayName": "text",
      "comment": "text",
      "countedAmount": 1,
      "openAt": "2026-01-01T00:00:00.000Z",
      "openByDisplayName": "text",
      "status": "OPEN",
      "withdrawalAmount": 1,
      "cashDetailsAtOpen": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "cashDetailsAtClose": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

List all visitor records for a list of stores

post
/tenants/{tenantUid}/stores/visitors

List all visitor records for a list of stores

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageSizeintegerOptional

The number of items per page in a result set.

pageNumberintegerOptional

Reference to a specific page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body
fromDateTimestring · date-timeRequired
toDateTimestring · date-timeRequired
storeUidsstring[]Required
Responses
200

Example response

application/json
post/tenants/{tenantUid}/stores/visitors
POST /v2/tenants/{tenantUid}/stores/visitors HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "fromDateTime": "2026-01-01T00:00:00.000Z",
  "toDateTime": "2026-01-01T00:00:00.000Z",
  "storeUids": [
    "text"
  ]
}
200

Example response

{
  "items": [
    {
      "storeVisitorUid": "text",
      "storeUid": "text",
      "dateTime": "2026-01-01T00:00:00.000Z",
      "visitorCount": 1
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

List store addresses

get
/tenants/{tenantUid}/stores/{storeUid}/addresses

List store additional addresses.

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/addresses
GET /v2/tenants/{tenantUid}/stores/{storeUid}/addresses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "storeAddressUid": "text",
      "companyName": "text",
      "vatNumber": "text",
      "address": "text",
      "postalCode": "text",
      "city": "text",
      "countryCode": "text",
      "email": "text",
      "phone": "text",
      "type": "PURCHASE_INVOICE_ADDRESS",
      "default": true,
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create new store address

post
/tenants/{tenantUid}/stores/{storeUid}/addresses

Create new store address

Required permissions: STORE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
typestring · enumRequiredPossible values:
companyNamestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringOptional
phonestringOptional
vatNumberstringOptional
storeAddressUidstringOptionalPattern: ^[A-Za-z0-9-_]*
defaultbooleanOptional
Responses
201

Example response

application/json
storeAddressUidstringRequiredPattern: ^[A-Za-z0-9-_]+
companyNamestringRequired
vatNumberstringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
typestring · enumRequiredPossible values:
defaultbooleanRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/stores/{storeUid}/addresses
POST /v2/tenants/{tenantUid}/stores/{storeUid}/addresses HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 217

{
  "type": "PURCHASE_INVOICE_ADDRESS",
  "companyName": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "vatNumber": "text",
  "storeAddressUid": "text",
  "default": true
}
201

Example response

{
  "storeAddressUid": "text",
  "companyName": "text",
  "vatNumber": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "type": "PURCHASE_INVOICE_ADDRESS",
  "default": true,
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Get store address

get
/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid}

Get a store address

Required permissions: STORE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeAddressUidstringRequired

Reference to a store address

Responses
200

Example response

application/json
storeAddressUidstringRequiredPattern: ^[A-Za-z0-9-_]+
companyNamestringRequired
vatNumberstringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
typestring · enumRequiredPossible values:
defaultbooleanRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "storeAddressUid": "text",
  "companyName": "text",
  "vatNumber": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "type": "PURCHASE_INVOICE_ADDRESS",
  "default": true,
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Update store address

put
/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid}

Update a store address

Required permissions: STORE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeAddressUidstringRequired

Reference to a store address

Body
companyNamestringOptional
addressstringOptional
postalCodestringOptional
citystringOptional
countryCodestringOptional
emailstringOptional
phonestringOptional
vatNumberstringOptional
defaultbooleanOptional
Responses
200

Example response

application/json
storeAddressUidstringRequiredPattern: ^[A-Za-z0-9-_]+
companyNamestringRequired
vatNumberstringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
countryCodestringRequired
emailstringRequired
phonestringRequired
typestring · enumRequiredPossible values:
defaultbooleanRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 158

{
  "companyName": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "vatNumber": "text",
  "default": true
}
200

Example response

{
  "storeAddressUid": "text",
  "companyName": "text",
  "vatNumber": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "countryCode": "text",
  "email": "text",
  "phone": "text",
  "type": "PURCHASE_INVOICE_ADDRESS",
  "default": true,
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Delete store address

delete
/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid}

Delete a store address

Required permissions: STORE

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeAddressUidstringRequired

Reference to a store address

Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/addresses/{storeAddressUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List store cash reconciliations

get
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations

List store cash reconciliations

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
fromstring · dateOptional

Reconcilation date GTE

tostring · dateOptional

Reconciliation date LTE

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations
GET /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "storeCashReconciliationUid": "text",
      "reconciliationDate": "2026-01-01",
      "balance": 1,
      "depositAmount": 1,
      "deposits": [
        {
          "cashDepositUid": "text",
          "depositNumber": "text",
          "amount": 1,
          "depositedAt": "2026-01-01T00:00:00.000Z",
          "denominations": [
            {
              "currencyCode": "text",
              "denomination": 1,
              "material": "COIN",
              "quantityCounted": 1,
              "amount": 1
            }
          ],
          "reconciliations": [
            {
              "storeCashReconciliationUid": "text",
              "reconciliationDate": "2026-01-01",
              "depositAmount": 1,
              "status": "IN_PROGRESS"
            }
          ]
        }
      ],
      "status": "IN_PROGRESS",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "review": {
        "reviewedAt": "2026-01-01T00:00:00.000Z",
        "approved": true,
        "note": "text",
        "tenantUserUid": "text",
        "tenantUserDisplayName": "text"
      },
      "cashReports": [
        {
          "tillUid": "text",
          "tillName": "text",
          "tillNumber": 1,
          "bankdepositAmount": 1,
          "bankdepositReference": "text",
          "cashDifferenceAmount": 1,
          "cashRevenueAmount": 1,
          "cashreportUid": "text",
          "changeAmount": 1,
          "closedAt": "2026-01-01T00:00:00.000Z",
          "closedByDisplayName": "text",
          "comment": "text",
          "countedAmount": 1,
          "openAt": "2026-01-01T00:00:00.000Z",
          "openByDisplayName": "text",
          "status": "OPEN",
          "withdrawalAmount": 1,
          "cashDetailsAtOpen": [
            {
              "currencyCode": "text",
              "denomination": 1,
              "material": "COIN",
              "quantityCounted": 1,
              "amount": 1
            }
          ],
          "cashDetailsAtClose": [
            {
              "currencyCode": "text",
              "denomination": 1,
              "material": "COIN",
              "quantityCounted": 1,
              "amount": 1
            }
          ]
        }
      ],
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create store cash reconciliation

post
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations

Create new cash reconciliation for store

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
storeCashReconciliationUidstringOptionalPattern: ^[A-Za-z0-9-_]*
reconciliationDatestring · dateRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
depositAmountintegerOptional
statusstring · enumOptionalPossible values:
notestringOptional
Responses
201

Example response

application/json
storeCashReconciliationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
reconciliationDatestring · dateRequired
balanceintegerRequired
depositAmountintegerRequired
statusstring · enumRequiredPossible values:
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUserDisplayNamestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
post/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations
POST /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 324

{
  "storeCashReconciliationUid": "text",
  "reconciliationDate": "2026-01-01",
  "tenantUserUid": "text",
  "depositAmount": 1,
  "status": "IN_PROGRESS",
  "note": "text",
  "cashReports": [
    {
      "tillUid": "text",
      "cashReportUid": "text"
    }
  ],
  "review": {
    "tenantUserUid": "text",
    "reviewedAt": "2026-01-01T00:00:00.000Z",
    "approved": true,
    "note": "text",
    "pin": "text"
  }
}
201

Example response

{
  "storeCashReconciliationUid": "text",
  "reconciliationDate": "2026-01-01",
  "balance": 1,
  "depositAmount": 1,
  "deposits": [
    {
      "cashDepositUid": "text",
      "depositNumber": "text",
      "amount": 1,
      "depositedAt": "2026-01-01T00:00:00.000Z",
      "denominations": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "reconciliations": [
        {
          "storeCashReconciliationUid": "text",
          "reconciliationDate": "2026-01-01",
          "depositAmount": 1,
          "status": "IN_PROGRESS"
        }
      ]
    }
  ],
  "status": "IN_PROGRESS",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "review": {
    "reviewedAt": "2026-01-01T00:00:00.000Z",
    "approved": true,
    "note": "text",
    "tenantUserUid": "text",
    "tenantUserDisplayName": "text"
  },
  "cashReports": [
    {
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "bankdepositAmount": 1,
      "bankdepositReference": "text",
      "cashDifferenceAmount": 1,
      "cashRevenueAmount": 1,
      "cashreportUid": "text",
      "changeAmount": 1,
      "closedAt": "2026-01-01T00:00:00.000Z",
      "closedByDisplayName": "text",
      "comment": "text",
      "countedAmount": 1,
      "openAt": "2026-01-01T00:00:00.000Z",
      "openByDisplayName": "text",
      "status": "OPEN",
      "withdrawalAmount": 1,
      "cashDetailsAtOpen": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "cashDetailsAtClose": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ]
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Get store cash reconciliation

get
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}

Get a store cash reconciliation by its UID.

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeCashReconciliationUidstringRequired

Reference to a store cash reconciliation

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
storeCashReconciliationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
reconciliationDatestring · dateRequired
balanceintegerRequired
depositAmountintegerRequired
statusstring · enumRequiredPossible values:
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUserDisplayNamestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "storeCashReconciliationUid": "text",
  "reconciliationDate": "2026-01-01",
  "balance": 1,
  "depositAmount": 1,
  "deposits": [
    {
      "cashDepositUid": "text",
      "depositNumber": "text",
      "amount": 1,
      "depositedAt": "2026-01-01T00:00:00.000Z",
      "denominations": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "reconciliations": [
        {
          "storeCashReconciliationUid": "text",
          "reconciliationDate": "2026-01-01",
          "depositAmount": 1,
          "status": "IN_PROGRESS"
        }
      ]
    }
  ],
  "status": "IN_PROGRESS",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "review": {
    "reviewedAt": "2026-01-01T00:00:00.000Z",
    "approved": true,
    "note": "text",
    "tenantUserUid": "text",
    "tenantUserDisplayName": "text"
  },
  "cashReports": [
    {
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "bankdepositAmount": 1,
      "bankdepositReference": "text",
      "cashDifferenceAmount": 1,
      "cashRevenueAmount": 1,
      "cashreportUid": "text",
      "changeAmount": 1,
      "closedAt": "2026-01-01T00:00:00.000Z",
      "closedByDisplayName": "text",
      "comment": "text",
      "countedAmount": 1,
      "openAt": "2026-01-01T00:00:00.000Z",
      "openByDisplayName": "text",
      "status": "OPEN",
      "withdrawalAmount": 1,
      "cashDetailsAtOpen": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "cashDetailsAtClose": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ]
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Update store cash reconciliation

put
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}

Update a store cash reconciliation

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeCashReconciliationUidstringRequired

Reference to a store cash reconciliation

Pattern: ^[A-Za-z0-9-_]+
Body
reconciliationDatestring · dateOptional
tenantUserUidstringOptionalPattern: ^[A-Za-z0-9-_]*
depositAmountintegerOptional
statusstring · enumOptionalPossible values:
notestringOptional
Responses
200

Example response

application/json
storeCashReconciliationUidstringRequiredPattern: ^[A-Za-z0-9-_]+
reconciliationDatestring · dateRequired
balanceintegerRequired
depositAmountintegerRequired
statusstring · enumRequiredPossible values:
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUserDisplayNamestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
put/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 288

{
  "reconciliationDate": "2026-01-01",
  "tenantUserUid": "text",
  "depositAmount": 1,
  "status": "IN_PROGRESS",
  "note": "text",
  "cashReports": [
    {
      "tillUid": "text",
      "cashReportUid": "text"
    }
  ],
  "review": {
    "tenantUserUid": "text",
    "reviewedAt": "2026-01-01T00:00:00.000Z",
    "approved": true,
    "note": "text",
    "pin": "text"
  }
}
200

Example response

{
  "storeCashReconciliationUid": "text",
  "reconciliationDate": "2026-01-01",
  "balance": 1,
  "depositAmount": 1,
  "deposits": [
    {
      "cashDepositUid": "text",
      "depositNumber": "text",
      "amount": 1,
      "depositedAt": "2026-01-01T00:00:00.000Z",
      "denominations": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "reconciliations": [
        {
          "storeCashReconciliationUid": "text",
          "reconciliationDate": "2026-01-01",
          "depositAmount": 1,
          "status": "IN_PROGRESS"
        }
      ]
    }
  ],
  "status": "IN_PROGRESS",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "review": {
    "reviewedAt": "2026-01-01T00:00:00.000Z",
    "approved": true,
    "note": "text",
    "tenantUserUid": "text",
    "tenantUserDisplayName": "text"
  },
  "cashReports": [
    {
      "tillUid": "text",
      "tillName": "text",
      "tillNumber": 1,
      "bankdepositAmount": 1,
      "bankdepositReference": "text",
      "cashDifferenceAmount": 1,
      "cashRevenueAmount": 1,
      "cashreportUid": "text",
      "changeAmount": 1,
      "closedAt": "2026-01-01T00:00:00.000Z",
      "closedByDisplayName": "text",
      "comment": "text",
      "countedAmount": 1,
      "openAt": "2026-01-01T00:00:00.000Z",
      "openByDisplayName": "text",
      "status": "OPEN",
      "withdrawalAmount": 1,
      "cashDetailsAtOpen": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ],
      "cashDetailsAtClose": [
        {
          "currencyCode": "text",
          "denomination": 1,
          "material": "COIN",
          "quantityCounted": 1,
          "amount": 1
        }
      ]
    }
  ],
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Delete store cash reconciliation

delete
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}

Delete a store cash reconciliation record.

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeCashReconciliationUidstringRequired

Reference to a store cash reconciliation

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Create cash deposit

post
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits

Create cash deposit.

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeCashReconciliationUidstringRequired

Reference to a store cash reconciliation

Pattern: ^[A-Za-z0-9-_]+
Body
depositNumberstringOptional
amountintegerOptional
depositedAtstring · date-timeOptional
cashDepositUidstringOptionalPattern: ^[A-Za-z0-9-_]*
Responses
201

Example response

application/json
cashDepositUidstringRequiredPattern: ^[A-Za-z0-9-_]+
depositNumberstringRequired
amountintegerRequired
depositedAtstring · date-timeRequired
post/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits
POST /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 208

{
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "cashDepositUid": "text"
}
201

Example response

{
  "cashDepositUid": "text",
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "reconciliations": [
    {
      "storeCashReconciliationUid": "text",
      "reconciliationDate": "2026-01-01",
      "depositAmount": 1,
      "status": "IN_PROGRESS"
    }
  ]
}

Update cash deposit

put
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits/{cashDepositUid}

Update cash deposit.

Required permissions: TILL_OPERATION

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
storeCashReconciliationUidstringRequired

Reference to a store cash reconciliation

Pattern: ^[A-Za-z0-9-_]+
cashDepositUidstringRequired

Reference to a cash deposit

Pattern: ^[A-Za-z0-9-_]+
Body
depositNumberstringOptional
amountintegerOptional
depositedAtstring · date-timeOptional
Responses
200

Example response

application/json
cashDepositUidstringRequiredPattern: ^[A-Za-z0-9-_]+
depositNumberstringRequired
amountintegerRequired
depositedAtstring · date-timeRequired
put/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits/{cashDepositUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations/{storeCashReconciliationUid}/cashdeposits/{cashDepositUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 184

{
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ]
}
200

Example response

{
  "cashDepositUid": "text",
  "depositNumber": "text",
  "amount": 1,
  "depositedAt": "2026-01-01T00:00:00.000Z",
  "denominations": [
    {
      "currencyCode": "text",
      "denomination": 1,
      "material": "COIN",
      "quantityCounted": 1,
      "amount": 1
    }
  ],
  "reconciliations": [
    {
      "storeCashReconciliationUid": "text",
      "reconciliationDate": "2026-01-01",
      "depositAmount": 1,
      "status": "IN_PROGRESS"
    }
  ]
}

Last updated